Skip to main content
`Ctrl`+`K`

# NEPCISSGetExtraction

Gets the extraction technique used in the CISS solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPCISSGetExtraction(NEP nep,NEPCISSExtraction *extraction)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- extraction - extraction technique

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPCISS`, `NEPCISSSetExtraction()`, `NEPCISSExtraction`

## Level

advanced

## Location

src/nep/impls/ciss/nciss.c

## Implementations

NEPCISSGetExtraction_CISS() in src/nep/impls/ciss/nciss.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages